#ifndef __Ax_Vdr_MenuCode_H__
#define __Ax_Vdr_MenuCode_H__
//=============================================================================
/*
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   28.03.2004
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2013-03-20 19:53:42 +0100 (Mi, 20 Mär 2013) $
 */
//=============================================================================

//=============================================================================
//     includes
//=============================================================================

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- Vdr -------------------------------------------------------------------
#include <vdr/osd.h>
#include <vdr/menuitems.h>

//----- AxLib -----------------------------------------------------------------
#include <Ax/Vdr/OsdMenu.h>

//----- local -----------------------------------------------------------------

//=============================================================================
//     namespaces
//=============================================================================
namespace Ax  {
namespace Vdr {

//=============================================================================
//     forward declarations
//=============================================================================
class Action;

//=============================================================================
//     class MenuCode
//=============================================================================
/** Menu to enter a numerical code
*/
class MenuCode : public OsdMenu
{
    typedef OsdMenu PARENT;

  public:
    //-------------------------------------------------------------------------
    //     MenuCode()
    //-------------------------------------------------------------------------
    /** Constructor
    */
    MenuCode(Action *theAction);

    //-------------------------------------------------------------------------
    //     ~MenuCode()
    //-------------------------------------------------------------------------
    /** Destructor
    */
    virtual ~MenuCode();

    //-------------------------------------------------------------------------
    //     ProcessKey()
    //-------------------------------------------------------------------------
    /** Process key press events
    */
    virtual eOSState ProcessKey(eKeys Key);

  private:
    //-------------------------------------------------------------------------
    //     attributes
    //-------------------------------------------------------------------------
    Action   *myAction    ; ///< the action to unlock
    char     *myActCode   ; ///< entered  code
    cOsdItem *myCodeItem  ; ///< OSDItem for the code

}; // class MenuCode

//=============================================================================
//     namespaces
//=============================================================================
} // Vdr
} // Ax

#endif
