#ifndef __Ax_Vdr_MenuText_H__
#define __Ax_Vdr_MenuText_H__
//=============================================================================
/*
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   28.03.2004
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2013-03-20 19:53:42 +0100 (Mi, 20 Mär 2013) $
 */
//=============================================================================

//=============================================================================
//     includes
//=============================================================================

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- Vdr -------------------------------------------------------------------
#include <vdr/osd.h>
#include <vdr/menuitems.h>

//----- AxLib -----------------------------------------------------------------
#include <Ax/Vdr/OsdMenu.h>

//----- local -----------------------------------------------------------------

//=============================================================================
//     namespaces
//=============================================================================
namespace Ax  {
namespace Vdr {

//=============================================================================
//     forward declarations
//=============================================================================
class Action;

//=============================================================================
//     class MenuText
//=============================================================================
/** Menu to display a full screen text
*/
class MenuText : public OsdMenu
{
    typedef OsdMenu PARENT;

  public:
    //-------------------------------------------------------------------------
    //     MenuText()
    //-------------------------------------------------------------------------
    /** Constructor
    */
    MenuText( const std::string &theInstName
            , const std::string &theTitle
            , const std::string theText = std::string("")
            );

    //-------------------------------------------------------------------------
    //     ~MenuText()
    //-------------------------------------------------------------------------
    /** Destructor
    */
    virtual ~MenuText();

    //-------------------------------------------------------------------------
    //     Display()
    //-------------------------------------------------------------------------
    virtual void Display(void);

    //-------------------------------------------------------------------------
    //     ProcessKey()
    //-------------------------------------------------------------------------
    /** Process key press events
    */
    virtual eOSState ProcessKey(eKeys Key);

    //-------------------------------------------------------------------------
    //     setText()
    //-------------------------------------------------------------------------
    void setText(const std::string &theText);

    //-------------------------------------------------------------------------
    //     setMonospaced()
    //-------------------------------------------------------------------------
    void setMonospaced(bool theUseMonospaced);

  private:
    //-------------------------------------------------------------------------
    //     attributes
    //-------------------------------------------------------------------------
    std::string myText;       ///< the text to display
    bool        fMonospaced;  ///< use monospaced font

}; // class MenuText

//=============================================================================
//     namespaces
//=============================================================================
} // Vdr
} // Ax

#endif
