#ifndef __Ax_Mail_MailBoxCBP_H__
#define __Ax_Mail_MailBoxCBP_H__
//=============================================================================
/*
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: Alex
 * Date:   27.12.2004
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2013-03-20 19:53:42 +0100 (Mi, 20 Mär 2013) $
 */
//=============================================================================

//=============================================================================
//     includes
//=============================================================================

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- ICE -------------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
#include <string>

//----- C ---------------------------------------------------------------------
//----- AxLib -----------------------------------------------------------------
#include <Ax/Mail/Globals.h>
#include <Ax/Mail/LogHandler.h>

//----- vdr -------------------------------------------------------------------
//----- c-client --------------------------------------------------------------
//----- other includes --------------------------------------------------------
//----- local -----------------------------------------------------------------
#include "LogHandlerCBP.h"

//=============================================================================
//     namespaces
//=============================================================================
namespace Ax   {
namespace Mail {

//=============================================================================
//     forward declarations
//=============================================================================
class MailBox;

//=============================================================================
//     class MailBoxCBP
//=============================================================================
class MailBoxCBP : public LogHandlerCBP
{
    //-------------------------------------------------------------------------
    //     typedefs
    //-------------------------------------------------------------------------
    typedef LogHandlerCBP PARENT;

  public:
    //-------------------------------------------------------------------------
    //     MailBoxCBP()
    //-------------------------------------------------------------------------
    MailBoxCBP( LogHandler        &theLogHandler
              , MailBox           *theMailBox
              , const std::string &theName
              , CallBackProcessor *theParent
              );

    //-------------------------------------------------------------------------
    //     ~MailBoxCBP()
    //-------------------------------------------------------------------------
    virtual ~MailBoxCBP();

  public:
    //-------------------------------------------------------------------------
    //     process_mm_login()
    //-------------------------------------------------------------------------
    virtual bool process_mm_login(NETMBX *theMailBox, char *theUser, char *thePassword, long theTrials);

}; // class MailBoxCBP

//=============================================================================
//     namespaces
//=============================================================================
} // Mail
} // Ax

#endif

